Eesti

Korduvad küsimused

Vananenud tarkvaraga nutiseadmete kasutamine tõstab turvariske ja seetõttu ei olegi võimalik jätkata kõikide äpiversioonide toetamist. Probleemide vältimiseks tuleks operatsioonisüsteemi regulaarselt uuendada.

Smart-ID rakenduse versiooni aegudes näed sellekohast teadet äpis iga kord, kui seda kasutama hakkad. See teade kaob siis, kui oled oma nutiseadmesse värskeima Smart-ID versiooni paigaldanud.

Kõige uuema Smart-ID äpiversiooni leiad alati Google Play või AppStore kaudu, paigaldamisjuhiste ja nutiseadmetele kehtivate nõuete osas tasuks aga vaadata Smart-ID veebi laadi alla lehte.

 

1.  Millised on nõuded operatsioonisüsteemile?

Smart-ID töötab Androidi ja iOS seadmetes, teised operatsioonisüsteemid pole hetkel kahjuks toetatud.

Smart-ID äpiversioone uuendatakse mõnel korral aastal ning igale rakenduse versioonile kehtivad oma miinimumnõuded. Kõige värskeima äpiversiooniga seotud nõuded nutiseadmetele leiad alati Smart-ID allalaadimise lehelt. Ära muretse kui sinu nutiseade ei vasta seal toodud tingimustele: võimalik, et saad sellegipoolest Smart-IDd kasutada, laadides alla mõne eelmise (pisut vanema, ehkki siiani toetatud) Smart-ID versiooni.

Smart-ID rakendust levitatakse läbi AppStore (iOS seadmete jaoks) ning Google Play (Android seadmete jaoks). Mõlemad teenusepakkujad kontrollivad automaatselt, millise operatsioonisüsteemi ja millise tehnilise võimekusega nutiseadet sa kasutad ning pakuvad sulle alla laadimiseks sinu nutiseadmele kõige paremini sobiva äpiversiooni.

Pea meeles, et kui sinu nutiseadme operatsioonisüsteem muutub nii vanaks, et seda seadmetootja enam ei toeta (ja sul puudub võimalus operatsioonisüsteemi uuendamiseks), ei saa sa enam ka Smart-ID äppi uuendada!

 

2.  Ohud aegunud rakenduse kasutamisega

Smart-ID äppi uuendatakse mõnel korral aastal. Soovitame sul oma nutiseadmes lubada automaatsed tarkvarauuendused nii operatsiooni kui rakenduste jaoks, siis püsib nutiseade värskena ilma, et sa peaksid selleks ise vaeva nägema.

Juhul, kui sinu nutiseade on nii vana, et seal ei ole võimalik enam operatsioonisüsteemi uuendada, kaob sul võimalus ka Smart-ID rakenduse värskendamiseks.

Mida aga Smart-ID aegumine kaasa tuua võib?

 

Smart-ID äpp ei tööta enam

Koos uute äpiversioonide tulekuga aeguvad järjest ka vanemad versioonid. Kui mõni äpiversioon on nii vanaks saanud, et me ei saa sellele enam tuge pakkuda, lakkab see töötamast. Enne seda näitab Smart-ID äpp sulle „aegunud rakendus“ teemalist hoiatust. Täpset ajakava, kui kaua kulub hoiatuse ilmumisest äpi töö lõppemiseni, ei ole aga võimalik anda.

Kahjuks on sellisel juhul Smart-ID kasutamise jätkamiseks ainus võimalus kas äppi uuendada või, kui see pole võimalik nutiseadme vanuse tõttu, uuem nutiseade kasutusele võtta.

 

Piiratud funktsionaalsus: värskendamine nõutud, kuid pole võimalik

Sõltuvalt sellest, kui vana on sinu äpp ja/või operatsioonisüsteem, võib Smart-ID aegunud äpp jätkata tööd ka piiratud funktsionaalsusega. Näiteks saad endiselt Smart-ID abil e-teenustesse sisse logida ja digiallkirjastada, kuid ei saa selle äpiversiooniga uut kontot registreerida või aeguma hakkavat kontot uuendada.

Aegunud iOS seadmete puhul on tegu teada probleemiga: äpp nõuab värskendust, ent AppStore suunab tagasi olemasolevasse rakendusse, sest sinu nutiseade ei vasta ühegi värskema äpiversiooni paigaldamiseks kehtivatele nõuetele.

Saad Smart-ID igapäevast kasutamist jätkata äpi uuendamishoiatusest hoolimata, ent konto uuendamine või uue konto loomine pole enam võimalikud. See aga võib osutuda tõsiseks probleemiks juhul, kui aeguma hakkab ka sinu Smart-ID konto. Kõige parem lahendus oleks loomulikult see, kui uuendaksid kõigepealt oma operatsioonisüsteemi, seejärel Smart-ID rakendust ja prooviksid siis oma Smart-ID kontot värskendada. Kui sinu opsüsteemi uuendamine pole aga nutiseadme vanuse tõttu võimalik, võid viimase õlekõrrena katsetada seda, et kustutad kõigepealt oma aeguva Smart-ID konto, seejärel eemaldad nutiseadmest Smart-ID rakenduse, laadid AppStore kaudu uuesti Smart-ID alla ning proovid uue konto registreerida pärast äpi taaspaigaldamist. Teada tasub, et see meetod töötab ainult osadel juhtudel!

Kahjuks pole muid alternatiivseid lahenduskäike olemas: kui AppStore ei paku sulle Smart-ID alla laadimise võimalust, tähendab see, et sinu telefon ei vasta ühegi äpiversiooni miinimumnõuetele ja sul tuleks Smart-ID kasutamiseks uus nutiseade hankida.

 

Kõrgendatud turvarisk

Vananenud operatsioonisüsteemi ja aegunud rakenduste kasutamine tähendab kõrgemat turvariski: sinu nutiseade on kaitsetum häkkimise, andmelekete, riistvarakahjustuste jms ees. Kaitse oma isikuandmeid sellega, et hoia oma nutiseadme tarkvara – nii operatsioonisüsteemid kui rakendused – alati värskendatuna!